Subject: Re: [PATCH net-next] tcp: avoid spurious loopback retransmit

From: "dust.li" <[email-masked]>
Date: Wed, 9 Jun 2021 16:45:04 +0800

On Wed, Jun 09, 2021 at 09:03:14AM +0200, Eric Dumazet wrote:
>On Wed, Jun 9, 2021 at 2:25 AM dust.li <[email-masked]> wrote:
>>
>
>> Normal RTO and fast retransmits are rarely triggerred.
>> But for TLP timers, it is easy since its timeout is usally only 2ms.
>>
>
>OK, by definition rtx timers can fire too early, so I think we will
>leave the code as it is.
>(ie not try to do special things for 'special' interfaces like loopback)
>
>We want to be generic as much as possible.
Totally understand!

After talking to you, I also rethinked this a bit more.
The original patch is bad and not generic, my original intention is
also to discuss with the community.

Through the patch is bad, I still think the problem is generic.
Devices like loopback/veth/ifb and maybe some others as well,
who depend on netif_rx() or tasklet to receive packets from CPU
backlog should all have this problem.

But I really didn't find a general way to gracefully solve this.

Thanks.